CREATE OR REPLACE VIEW V_JUBILEE
            (PK_JUBILEE,
             FK_CLIENT,
             FK_AWARD_TYPE,
             AWARD_ADVANCE_PERIOD,
             YEARS,
             IS_BATCH_PROCESSING,
             INVITEES_TARGET,
             FK_MERCHANDISE_CODE)
AS
WITH V_CLIENT_DETAILS_001 AS (
    SELECT C.PK_CLIENT,
           CASE
               WHEN M.FK_CLIENT_SRC IS NULL THEN C.CONFIG_CLIENT_ID
               WHEN M.CUSTOM = 1 THEN C.PK_CLIENT
               ELSE C.CONFIG_CLIENT_ID
               END AS CONFIG_CLIENT
    FROM GG_MS_CLIENTS C
             LEFT JOIN GG_CONFIG_META M ON
                M.FK_CLIENT_SRC = C.PK_CLIENT
            AND (M.FEATURE = 'JUBILEE'))
SELECT PK_JUBILEE,
       CLIENT.PK_CLIENT AS FK_CLIENT,
       FK_AWARD_TYPE,
       AWARD_ADVANCE_PERIOD,
       YEARS,
       IS_BATCH_PROCESSING,
       INVITEES_TARGET,
       FK_MERCHANDISE_CODE
FROM GG_JUBILEE JUBILEE,
     V_CLIENT_DETAILS_001 CLIENT
WHERE JUBILEE.FK_CLIENT = CLIENT.CONFIG_CLIENT;

CREATE OR REPLACE VIEW V_JUBILEE_NOTIFICATIONS
            (PK_JUBILEE,
             NOTIFICATION_ADVANCE_PERIOD,
             MGR_TEMPLATE,
             HR_TEMPLATE,
             FK_CLIENT,
             CLG_TEMPLATE)
AS
WITH V_CLIENT_DETAILS_002 AS (
    SELECT C.PK_CLIENT,
           CASE
               WHEN M.FK_CLIENT_SRC IS NULL THEN C.CONFIG_CLIENT_ID
               WHEN M.CUSTOM = 1 THEN C.PK_CLIENT
               ELSE C.CONFIG_CLIENT_ID
               END AS CONFIG_CLIENT
    FROM GG_MS_CLIENTS C
             LEFT JOIN GG_CONFIG_META M ON
                M.FK_CLIENT_SRC = C.PK_CLIENT
            AND (M.FEATURE = 'JUBILEE_NOTIFICATIONS'))
SELECT PK_JUBILEE,
       NOTIFICATION_ADVANCE_PERIOD,
       MGR_TEMPLATE,
       HR_TEMPLATE,
       CLIENT.PK_CLIENT AS FK_CLIENT,
       CLG_TEMPLATE
FROM GG_JUBILEE_NOTIFICATIONS NOTIFICATIONS,
     V_CLIENT_DETAILS_002 CLIENT
WHERE NOTIFICATIONS.FK_CLIENT = CLIENT.CONFIG_CLIENT;

CREATE OR REPLACE VIEW V_YOS_CEO_SIGNATURE
            (PK_YOS_CEO_SIGNATURE,
             IS_PICTURE_LOADED,
             IS_SIGNATURE_LOADED,
             NAME,
             FK_CLIENT,
             IS_CURRENT,
             PICTURE_ORDER)
AS
WITH V_CLIENT_DETAILS_003 AS (
    SELECT C.PK_CLIENT,
           CASE
               WHEN M.FK_CLIENT_SRC IS NULL THEN C.CONFIG_CLIENT_ID
               WHEN M.CUSTOM = 1 THEN C.PK_CLIENT
               ELSE C.CONFIG_CLIENT_ID
               END AS CONFIG_CLIENT
    FROM GG_MS_CLIENTS C
             LEFT JOIN GG_CONFIG_META M ON
                M.FK_CLIENT_SRC = C.PK_CLIENT
            AND (M.FEATURE = 'YOS_CEO_SIGNATURE'))
SELECT PK_YOS_CEO_SIGNATURE,
       IS_PICTURE_LOADED,
       IS_SIGNATURE_LOADED,
       NAME,
       CLIENT.PK_CLIENT AS FK_CLIENT,
       IS_CURRENT,
       PICTURE_ORDER
FROM GG_YOS_CEO_SIGNATURE SIGNATURE,
     V_CLIENT_DETAILS_003 CLIENT
WHERE SIGNATURE.FK_CLIENT = CLIENT.CONFIG_CLIENT;
